﻿
--This Function Will Add All The Items & There Stacks To Get The Bags Totals
function Liquid_Wealth:GetBagValueVender(bagId)
	local bagTotal = 0; -- Using Auctioneer buyout median price
	local bagSlots = GetContainerNumSlots(bagId);
	
	if (bagSlots > 0) then
		local bagName = GetBagName(bagId);
		-- Need To Check For Item SoulBound & QuestItems BC They Might Not Be Vendered Or AH'ed
		for slot = 1, bagSlots do
			local PriceTotal=0;
			local itemsPrice=0;
			local itemLink = GetContainerItemLink(bagId, slot);
			if (itemLink) then
				if not Liquid_Wealth:IsItemQuest(bagId,slot) then
					local texture, itemCount, locked, quality, readable = GetContainerItemInfo(bagId, slot); -- Needed for itemCount
					local _, _, _, _, _, _, _, _,_, _, itemSellPrice=GetItemInfo(itemLink)
					if not itemSellPrice == nil then
						if Liquid_Wealth:IsItemSoulbound(bagId, slot) then
							itemsPrice = itemSellPrice
						else
							itemsPrice = itemSellPrice
						end

						if itemsPrice then
							PriceTotal=itemCount*itemsPrice;
							bagTotal = bagTotal + floor(PriceTotal);
						end
					end
				end
			end
		end
	end
	return bagTotal;
end

function Liquid_Wealth:GetItemValueVender(itemLink)
	if (itemLink) then
		local _, _, _, _, _, _, _, _,_, _, itemSellPrice=GetItemInfo(itemLink)
		if itemSellPrice then
			return itemSellPrice
		else
			return 0
		end
	end
end